{ pkgs, ... }:

with pkgs; [
  # Code formatters for use with doom emacs
  nixfmt # nix
  dockfmt # docker
  google-java-format # java

  # Lsps for use with doom emacs
  # neocmakelsp # cmake

  # Rust setup
  rustc
  rustfmt
  cargo
  clippy
  rust-analyzer

  # Further tools

  lazygit
  languagetool

  # (pkgs.writeShellScriptBin "my-hello" ''
  #   echo "Hello, ${config.home.username}!"
  # '')

  hunspell
  hunspellDicts.de_DE
  hunspellDicts.en_US
  makemkv
  audacity
  gnome.cheese
  zoom-us
  qutebrowser

  unetbootin

  # For SSS exercises
  pwndbg
  gcc
  hexedit

  # rfid reader tests
  openct
  opensc
  pcsclite
  pcsctools
  ccid
  libnfc

  xournalpp
  path-of-building

  xfce.thunar-archive-plugin
  zip
  p7zip
  imagemagick
  firefox
  thunderbird
  nextcloud-client
  qalculate-gtk
  libqalculate

  schildichat-desktop
  tdesktop

  tealdeer
  gcolor2 # gcolor3 does not work
  # cups
  wget
  gparted
  emacs
  nodejs
  git
  dotter
  mc
  broot
  rnr # renaming tool in rust
  doublecmd
  mucommander
  tree
  alacritty
  wezterm
  kitty
  starship
  zsh
  bat
  ripgrep
  fd
  fzf
  topgrade
  cargo
  # rust-analyzer
  # rustfmt
  arandr
  wireguard-tools
  htop
  texlive.combined.scheme-full
  texlab
  usbutils # lsusb
  pciutils # lspci
  nixfmt
  gnome.gnome-keyring
  gnome.seahorse
  polkit_gnome
  nix-index
  python3
  black
  libnotify
  libclang
  libreoffice
  killall
  findutils
  xorg.xkill
  unzip
  vlc
  direnv
  nix-direnv
  handbrake
  nmap
  jq
  jdk
  # emacsPackages.clang-format # formatting for java
  gradle
  maven
  android-tools
  scrcpy
  dvdisaster
  mate.engrampa
  # toybox
  unixtools.procps
  qpdfview
  ffmpeg
  links2
  julia-bin
  xdg-desktop-portal-gtk
  discord
  lnav # log analyzing tool
  fdupes # find and delete duplicate files
  digikam
  dbeaver
  pavucontrol
  sqlite

  nomacs
  rocketchat-desktop
  # zotero
  inkscape
  pulseaudio
  gcolor3
  geogebra

  languagetool
  xclip
  okular # Pdf reader with many features, good for commenting documents
  evince # Simple pdf reader, good for focusing on document content
  pdfsam-basic # Split, merge, etc for pdfs

  poppler_utils # Pdf utils including pdfimages
  matlab # Using nix-matlab overlay defined in flake
  # sage

  gimp

  devbox
  parted
  drawio
  du-dust # Like du tree but better
  gnupg
  rpi-imager

  wine
  winetricks

  lf
  rustdesk
  realvnc-vnc-viewer
  calibre

  audible-cli

  cudaPackages.cudatoolkit
  openmvg
  colmapWithCuda

  ## My scripts
  frajul.edit-config
]
